﻿Imports System.Drawing.Imaging
Imports System.IO
Imports C1.Win.C1Document.Export

Public Class Form1
    Private imgStream As MemoryStream
    Private Sub FormLoad() Handles Me.Load
        C1PdfDocumentSource1.LoadFromFile("demoPDF.pdf")

        Dim filter As JpegFilter = New JpegFilter()

        filter.FileName = "temp.jpg"
        C1PdfDocumentSource1.Export(filter)

        Dim Image As Image = Image.FromFile("temp_page1.jpg")
        ''Load image to Stream
        imgStream = ToStream(Image, ImageFormat.Jpeg)

        PictureBox1.Image = Image.FromStream(imgStream)

    End Sub

    Public Shared Function ToStream(ByVal image As Image, ByVal format As ImageFormat) As Stream
        Dim stream = New System.IO.MemoryStream()
        image.Save(stream, format)
        stream.Position = 0
        Return stream
    End Function

End Class
